Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

Already on GitHub? Sign in to your account

Add .gemspec files to 2-3-stable to help Bundler #9030

Merged
merged 1 commit into from Jan 22, 2013

Conversation

Projects
None yet
3 participants
Contributor

johndouthat commented Jan 22, 2013

Would you please consider including gemspec files in the 2-3-stable branch? This would help folks with ancient 2.3 apps by allowing them to use Bundler without requiring new official gem releases.

Or, would it be better for folks to maintain a separate 2.3 fork?

This is related to pull request 8948

Member

steveklabnik commented Jan 22, 2013

This gemspec files are super silly. They have extra ifs and all kinds of junk in them.

Contributor

johndouthat commented Jan 22, 2013

Should I steamline them? They're copied from the 2.3.15 gems (except for changing rack from 1.1.3 to 1.1.0 in light of 28cfd79)

Member

steveklabnik commented Jan 22, 2013

yeah, they're that way because they're generated: we don't need the extra generation stuff.

Owner

jeremy commented Jan 22, 2013

Looking good. You can remove the encoding magic comments, the required rubygems version, and the rubyforge project. Do squash the commits into one, too. Thanks!

Contributor

johndouthat commented Jan 22, 2013

Sure thing. Done. Thanks!

Member

steveklabnik commented Jan 22, 2013

Looks good. Thank you.

steveklabnik added a commit that referenced this pull request Jan 22, 2013

Merge pull request #9030 from johndouthat/2-3-stable
Add .gemspec files to 2-3-stable to help Bundler

@steveklabnik steveklabnik merged commit 3b75781 into rails:2-3-stable Jan 22, 2013

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment